pub mod get_new;
pub mod post_new;
pub mod get_edit;
pub mod post_edit;
pub mod delete;

use askama::Template;
use serde::Deserialize;

use crate::models::{Area, Role, User};

#[derive(Template)]
#[template(path = "area/new_or_edit.html")]
struct NewOrEditAreaTemplate {
    user: User,
    area: Option<Area>,
}

#[derive(Deserialize)]
struct AreaForm {
    name: String,
}
